Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.help.ui.browser
Class LaunchURL

    java.lang.Object
      org.eclipse.help.ui.browser.LaunchURL

All Implemented Interfaces:
  IActionDelegate, IExecutableExtension, IWorkbenchWindowActionDelegate

public class LaunchURL
extends Object
implements IWorkbenchWindowActionDelegate, IExecutableExtension

Action that launches a URL in a browser.

This class is intended to be specified as a value of a class attribute of an action element in plugin.xml for extensions of org.eclipse.ui.actionSets extension point.

The action element must have an attribute named url, in addition to markup required by org.eclipse.ui.actionSets extension point specification. The value of the url attribute should specify a URL to be opened in a browser.

Constructor Summary
`LaunchURL()`

Method Summary
`void` | `dispose()` Disposes this action delegate.
`void` | `init(IWorkbenchWindow window)` Initializes this action delegate with the workbench window it will work in.
`void` | `run(IAction action)` Performs this action.
`void` | `selectionChanged(IAction action, ISelection selection)` Notifies this action delegate that the selection in the workbench has changed.
`void` | `setInitializationData(IConfigurationElement config, String propertyName, Object data)` This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchURL

    public LaunchURL()

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `IWorkbenchWindowActionDelegate`
  Disposes this action delegate. The implementor should unhook any references to itself so that garbage collection can occur.

  Specified by:
    `dispose` in interface `IWorkbenchWindowActionDelegate`
  See Also:
    `IWorkbenchWindowActionDelegate.dispose()`

### init

    public void init(IWorkbenchWindow window)

  Description copied from interface: `IWorkbenchWindowActionDelegate`
  Initializes this action delegate with the workbench window it will work in.

  Specified by:
    `init` in interface `IWorkbenchWindowActionDelegate`
  Parameters:
    `window` - the window that provides the context for this delegate
  See Also:
    `IWorkbenchWindowActionDelegate.init(IWorkbenchWindow)`

### setInitializationData

    public void setInitializationData(IConfigurationElement config,
                                      String propertyName,
                                      Object data)
                               throws CoreException

  Description copied from interface: `IExecutableExtension`
  This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information. Most executable extensions only make use of the first two call arguments.

  Regular executable extensions specify their Java implementation class name as an attribute of the configuration element for the extension. For example

           <action run="com.example.BaseAction"/>

  In the above example, this method would be called with a reference to the `<action>` element (first argument), and `"run"` as the name of the attribute that defined this executable extension (second argument).

  The last parameter is for the specific use of extension adapters and is typically not used by regular executable extensions.

  There are two supported ways of associating additional adapter-specific data with the configuration in a way that is transparent to the extension point implementor:

  (1) by specifying adapter data as part of the implementation class attribute value. The Java class name can be followed by a ":" separator, followed by any adapter data in string form. For example, if the extension point specifies an attribute `"run"` to contain the name of the extension implementation, an adapter can be configured as

           <action run="com.example.ExternalAdapter:./cmds/util.exe -opt 3"/>

  (2) by converting the attribute used to specify the executable extension to a child element of the original configuration element, and specifying the adapter data in the form of xml markup. Using this form, the example above would become

           <action>
               <run class="com.xyz.ExternalAdapter">
                   <parameter name="exec" value="./cmds/util.exe"/>
                   <parameter name="opt"  value="3"/>
               </run>
           </action>

  Form (2) will typically only be used for extension points that anticipate the majority of extensions configured into it will in fact be in the form of adapters.

  In either case, the specified adapter class is instantiated using its 0-argument public constructor. The adapter data is passed as the last argument of this method. The data argument is defined as Object. It can have the following values:

  - `null`, if no adapter data was supplied
  - in case (1), the initialization data string is passed as a `String`
  - in case (2), the initialization data is passed as a `Hashtable` containing the actual parameter names and values (both `String`s)

  Specified by:
    `setInitializationData` in interface `IExecutableExtension`
  Parameters:
    `config` - the configuration element used to trigger this execution. It can be queried by the executable extension for specific configuration properties
    `propertyName` - the name of an attribute of the configuration element used on the `createExecutableExtension(String)` call. This argument can be used in the cases where a single configuration element is used to define multiple executable extensions.
    `data` - adapter data in the form of a `String`, a `Hashtable`, or `null`.
  Throws:
    `CoreException` - if error(s) detected during initialization processing
  See Also:
    `IExecutableExtension.setInitializationData(IConfigurationElement, String, Object)`

### run

    public void run(IAction action)

  Description copied from interface: `IActionDelegate`
  Performs this action.

  This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

  Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

  Specified by:
    `run` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles the presentation portion of the action
  See Also:
    `IActionDelegate.run(IAction)`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Description copied from interface: `IActionDelegate`
  Notifies this action delegate that the selection in the workbench has changed.

  Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

  When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `selection` - the current selection, or `null` if there is no selection.
  See Also:
    `IActionDelegate.selectionChanged(IAction, ISelection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.